import { createRouter, createWebHistory, createMemoryHistory } from '@ionic/vue-router'

import { defineNuxtPlugin, useRuntimeConfig } from '#imports'

// @ts-expect-error virtual module
import routerOptions from '#build/router.options'
// @ts-expect-error irtual module generated by Nuxt
import routes from '#build/routes'

export default defineNuxtPlugin(nuxtApp => {
  const config = useRuntimeConfig()
  const baseURL = config.app.baseURL

  const router = createRouter({
    ...routerOptions,
    history: process.server ? createMemoryHistory(baseURL) : createWebHistory(baseURL),
    routes,
  })

  nuxtApp.vueApp.use(router)
})
